Bug 186396 - www/webkit-gtk2 fails to build on sparc64
Summary: www/webkit-gtk2 fails to build on sparc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-03 01:30 UTC by craig001
Modified: 2018-02-20 14:17 UTC (History)
1 user (show)

See Also:


Attachments
unified diff against r367888 (3.48 KB, patch)
2015-03-31 00:13 UTC, craig001
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description craig001 2014-02-03 01:30:00 UTC
when building port on a sparc64 machine it fails out with;

{standard input}: Assembler messages:
{standard input}:1286: Error: Illegal operands
gmake[1]: *** [Source/JavaScriptCore/runtime/libjavascriptcoregtk_1_0_la-NumberPrototype.lo] Error 1
gmake[1]: Leaving directory `/work/a/ports/www/webkit-gtk2/work/webkit-1.8.3'
gmake: *** [all] Error 2
===> Compilation failed unexpectedly.

full tinderbox log file available at - http://www.bsdtec.com/freebsd/webkit-gtk2-1.8.3_2.log

Fix: 

don't know, would like some help diagnosing the issue and creating a fix.
How-To-Repeat: build port on sparc64 machine
Comment 1 Edwin Groothuis freebsd_committer 2014-02-03 01:30:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 craig001 2015-03-22 23:59:56 UTC
the later webkit gtk2 2.4.8 build errors out with;

./Source/JavaScriptCore/assembler/MacroAssembler.h:62:2: error: #error "The MacroAssembler is not supported on this platform."

if I modify the port Makefile and add(disable asm);

.if ${ARCH} == sparc64
CONFIGURE_ARGS += --disable-introspection --disable-optimizations --disable-jit 
CPPFLAGS += -DENABLE_JIT=0 -DENABLE_YARR_JIT=0 -DENABLE_ASSEMBLER=0
.else
CONFIGURE_ARGS+=--enable-introspection
.endif 

build errors out with;

In file included from ./Source/JavaScriptCore/runtime/Operations.h:29:0,
                 from ./Source/JavaScriptCore/bytecode/CodeBlock.h:59,
                 from Source/JavaScriptCore/llint/LLIntOffsetsExtractor.cpp:29:
./Source/JavaScriptCore/runtime/JSCJSValueInlines.h: In constructor 'JSC::JSValue::JSValue(JSC::JSCell*)':
./Source/JavaScriptCore/runtime/JSCJSValueInlines.h:201:53: error: cast from 'JSC::JSCell*' to 'int32_t {aka int}' loses precision [-fpermissive]
     u.asBits.payload = reinterpret_cast<int32_t>(ptr);
                                                     ^
./Source/JavaScriptCore/runtime/JSCJSValueInlines.h: In constructor 'JSC::JSValue::JSValue(const JSC::JSCell*)':
./Source/JavaScriptCore/runtime/JSCJSValueInlines.h:210:74: error: cast from 'JSC::JSCell*' to 'int32_t {aka int}' loses precision [-fpermissive]
     u.asBits.payload = reinterpret_cast<int32_t>(const_cast<JSCell*>(ptr));

I am now stuck  :-/
Comment 3 craig001 2015-03-31 00:13:33 UTC
Created attachment 155035 [details]
unified diff against r367888

diff to enable sparc64 compiling against older webkit-gtk2 1.8.3 

original work and thanks to -
Rafael Ostertag (rafi@guengel.ch)
Comment 4 commit-hook freebsd_committer 2016-08-18 23:23:06 UTC
A commit references this bug:

Author: marino
Date: Thu Aug 18 23:22:23 UTC 2016
New revision: 420431
URL: https://svnweb.freebsd.org/changeset/ports/420431

Log:
  www/webkit-gtk(2,3): Mark broken for sparc64

  PR:	186396
  PR:	203382

Changes:
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk3/Makefile
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-01-12 01:25:37 UTC
Forgotten to close?
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-02-20 14:17:56 UTC
Recent Makefile shows no BROKEN statement for sparc and Bug #203382 is closed as fixed. So I assume it is fixed.